# m3e/scroll_container

ScrollContainer is a vertically oriented content container which presents dividers above and below content when scrolled.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(dividers: scroll_dividers.ScrollDividers, thin: Thin)
    }

### Constructors

-     Config(dividers: scroll_dividers.ScrollDividers, thin: Thin)

## ScrollContainer

opaque </>

ScrollContainer is a View Model for this component

## Fields:

- dividers: The dividers used to separate scrollable content.
- thin: Whether to present thin scrollbars.

    pub opaque type ScrollContainer

## Thin

</>

Thin is whether to present thin scrollbars.

    pub type Thin {
      IsThin
      IsNotThin
    }

### Constructors

-     IsThin

-     IsNotThin

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_dividers

</>

    pub const default_dividers: scroll_dividers.ScrollDividers

## default_thin

</>

    pub const default_thin: Thin

## dividers

</>

    pub fn dividers(
      record: ScrollContainer,
      dividers: scroll_dividers.ScrollDividers,
    ) -> ScrollContainer

dividers sets the value of dividers for this ScrollContainer.

## from_config

</>

    pub fn from_config(config: Config) -> ScrollContainer

from_config creates a new ScrollContainer from the given configuration.

## new

</>

    pub fn new() -> ScrollContainer

new creates a new ScrollContainer with the default configuration.

## render

</>

    pub fn render(
      model: ScrollContainer,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a ScrollContainer

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a ScrollContainer Config

## thin

</>

    pub fn thin(
      record: ScrollContainer,
      thin: Thin,
    ) -> ScrollContainer

thin sets the value of thin for this ScrollContainer.

✨